# in a way that won't get clobbered when you pull updates from my GIT repo.
##############################################################################
config="${0%/*}/rip_dvd.conf"
-[ -e "${config}.dist" ] && . ${config}.dist
-[ -e "${config}" ] && . ${config}
+
+# The config file will be searched for in the following location order:
+found_config=0
+
+# 1) /path/to/rip_dvd/script/rip_dvd.conf.dist
+[ -e "${config}.dist" ] && found_config=1 && . ${config}.dist
+
+# 2) /path/to/rip_dvd/script/rip_dvd.conf
+[ -e "${config}" ] && found_config=1 && . ${config}
+
+# 3) /etc/rip_dvd.conf
+[ -e "/etc/rip_dvd.conf" ] && found_config=1 && . /etc/rip_dvd.conf
+
+# 4) $PWD/rip_dvd.conf
+[ -e "rip_dvd.conf" ] && found_config=1 && . rip_dvd.conf
+
+# Check to make sure we found the config file
+if [ $found_config -eq 0 ]; then
+ echo "-E- Unable to find the rip_dvd.conf file: $config"
+ exit 1
+fi
##############################################################################################
# Command line processing
echo >&2 " -d <destdir> Specify the destination directory to store the ripped DVD to"
echo >&2 " -n <dvdname> Specify a path to a DVD folder or file to process:"
echo >&2 " 1) If this option is not specified, the DVD will be ripped from $dev"
- echo >&2 " 2) If dvdname exists in $tmpdir, it will be ripped as a DVD instead of $dev"
- echo >&2 " 3) If dvdname is a full path to a DVD folder, it will be ripped as a DVD instead of $dev"
- echo >&2 " 4) If dvdname is a full path to an MPG2 file, it will be ripped as a DVD instead of $dev"
- echo >&2 " 5) If dvdname is a full path to an ISO file, it will be ripped as a DVD instead of $dev"
+ echo >&2 " 2) If dvdname is a full path to a DVD folder, it will be ripped as a DVD instead of $dev"
+ echo >&2 " 3) If dvdname is a full path to an MPG2 file, it will be ripped as a DVD instead of $dev"
+ echo >&2 " 4) If dvdname is a full path to an ISO file, it will be ripped as a DVD instead of $dev"
echo >&2 " -p <profile> Specify which encoding profile to use in -x mode as shown below:"
echo >&2 " - xvidvhq = AVI, very high quality encoding, Xvid codec, 2 pass encoding (default)"
echo >&2 " - xvidhq = AVI, high quality encoding, Xvid codec, 2 pass encoding"
typeset -i ripdvd
if [ -z "$dvdname" ]; then
+
# make sure the DVD device is accessible
volname $dev > /dev/null 2>&1
if [ $? != 0 ]; then
# now capture the volume name from the device
dvdname=`volname $dev | awk '{ print $1 }'`
ripdvd=1
+
else
+
# check to see if dvdname is a full path to a real directory
# if it is, set dvdname and dvdpath appropriately
if [ -d "$dvdname" ]; then
echo "-E- Unsupported file type: $vobfile"
exit 1
fi
+
+ # Throw an error if we can't find what the -n option is pointing to
+ else
+ echo "-E- Unable to find the directory or file specified by the '-n $dvdname' option. Please make sure the path is valid."
+ exit 1
fi
+
+ # Set the ripdvd flag to false since we aren't ripping a DVD disk
ripdvd=0
- # Since we aren't ripping a DVD disk, don't eject anything
+
+ # Since we aren't ripping a DVD disk, don't eject anything either
eject_disk=0
+
fi
# remove bad characters from the dvdname
#mencoder_audioch_opts[1]="-af channels=6"
#mencoder_audioch_opts[2]=""
mencoder_audio_opts="-oac faac -faacopts mpeg=4:object=2:br=$audio_bitrate:raw"
- mencoder_audioch_opts[0]="-channels 6 -srate 48000"
+ mencoder_audioch_opts[0]="-channels 6 -srate 48000 -af volnorm=1"
else
# These options produce good 2 channel audio for linux and windows (including the internal mythvideo player)
#mencoder_audio_opts="-oac mp3lame -lameopts cbr:br=$audio_bitrate"
#mencoder_audioch_opts[0]=""
mencoder_audio_opts="-oac faac -faacopts mpeg=4:object=2:br=$audio_bitrate:raw"
- mencoder_audioch_opts[0]="-channels 2 -srate 48000"
+ mencoder_audioch_opts[0]="-channels 2 -srate 48000 -af volnorm=1"
fi
fi
fi
-##############################################################################################
\ No newline at end of file
+##############################################################################################